Hőtérképek
GET https://analytics.eclick.app/api/heatmaps/
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| website_id | Opcionális Egész szám | |
| user_id | Opcionális Egész szám | |
| is_enabled | Opcionális Egész szám | Engedélyezett értékek: 0, 1 |
| search | Opcionális Húr | A keresési kifejezés. |
| search_by | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: name, path. |
| datetime_field | Opcionális Húr | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális Húr | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcionális Húr | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcionális Húr | Milyen mező alapján rendezzük az eredményeket. Engedélyezett értékek: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Opcionális Húr | Az eredmények sorrendje. Engedélyezett értékek: ASC a növekvő sorrendhez, és DESC a csökkenő sorrendhez. |
| page | Opcionális Egész szám | Az oldalszám, ahonnan az eredményeket szeretnéd. Alapértelmezett: 1. |
| results_per_page | Opcionális Egész szám | Hány eredményt szeretnél oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:33",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.eclick.app/api/heatmaps?page=1",
"last": "https://analytics.eclick.app/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analytics.eclick.app/api/heatmaps?page=1"
}
}
GET https://analytics.eclick.app/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:33",
"last_datetime": null
}
}
GET https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| snapshot_type | Opcionális Húr | Engedélyezett értékek: desktop, tablet, mobile |
| type | Opcionális Húr | Engedélyezett értékek: clicks, scrolls |
| start_date | Opcionális Húr | Kezdő dátum Y-m-d formátumban. |
| end_date | Opcionális Húr | Befejezés dátuma Y-m-d formátumban. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analytics.eclick.app/api/heatmaps
| Paraméterek | Részletek | Leírás |
|---|---|---|
| website_id | Kötelező Egész szám | |
| name | Kötelező Húr | |
| path | Opcionális Húr | |
| is_enabled | Opcionális Egész szám | Engedélyezett értékek: 0, 1 |
curl --request POST \
--url 'https://analytics.eclick.app/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analytics.eclick.app/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:33",
"last_datetime": null
}
}
POST https://analytics.eclick.app/api/heatmaps/{heatmap_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Opcionális Húr | |
| is_enabled | Opcionális Egész szám | Engedélyezett értékek: 0, 1 |
curl --request POST \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:33",
"last_datetime": "2026-07-06 15:38:33"
}
}
DELETE https://analytics.eclick.app/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \